{
const TOOLS_RUNNER_URL = "https://functions.yandexcloud.net/d4esian9gs7m7m80qk1q";
const SHOWDOWN_URL = "https://storage.yandexcloud.net/collabza/showdown.min.js";
const TOOL_ID = "be35bd26-3157-43a9-89ab-ca94598502eb";
const BLOCK_ID = "#rec1078607686";
const TARGET_BLOCK = "#rec1004914821";

$(document).ready(function () {
  const block = $(BLOCK_ID);
  const target_block_id = TARGET_BLOCK.substring(4);
  const inputs = block.find(".t-form__inputsbox");
  const filters_name = "filters" + target_block_id;
  const search_params = new URLSearchParams(window.location.search);
  const filters = search_params.get(filters_name);
  const scrollX = parseInt(search_params.get("scrollX")) || 0;
  const scrollY = parseInt(search_params.get("scrollY")) || 0;
  window.scrollTo(scrollX, scrollY);

  if (filters) {
    filters.split("__and__").forEach((filter) => {
      terms = filter.split("__");
      if (terms[1] === "eq") {
        inputs.find('select[name="' + terms[0] + '"]').val(terms[2]);
      } else if (terms[1] === "find") {
        inputs.find('input[name="' + terms[0] + '"]').val(terms[2]);
      }
    });
  }

  const button = block.find('button[type="submit"]');
  button.addClass("t706__submit_disable");
  button.css("pointer-events", "all");
  button.css("opacity", "1");

  $(document).on("collabza_loaded", TARGET_BLOCK, function () {
    button.prop("disabled", false);
  });

  button.click(function (event) {
    button.prop("disabled", true);
    const filters = [];
    inputs.find("select").each(function () {
      if ($(this).val() && $(this).attr("name")) {
        filters.push($(this).attr("name") + "__eq__" + $(this).val());
      }
    });
    inputs.find("input").each(function () {
      if ($(this).val() && $(this).attr("name")) {
        filters.push($(this).attr("name") + "__find__" + $(this).val());
      }
    });
    const search_params = new URLSearchParams(window.location.search);
    if (filters.length > 0) {
      search_params.set(filters_name, filters.join("__and__"));
    } else {
      search_params.delete(filters_name);
    }

    const collabza_wrapper = $("#collabza_rec" + target_block_id);
    if (collabza_wrapper.length) {
      window.history.pushState({}, "", `${location.pathname}?${search_params}`);
      collabza_wrapper.trigger("collabza_init");
      if (typeof tcart__addEvent__links === "function") {
        tcart__addEvent__links();
      }
    } else {
      search_params.set("scrollX", window.scrollX);
      search_params.set("scrollY", window.scrollY);
      window.location.search = search_params.toString();
    }
  });
});
}
